<%page args='title, refresh=None' />

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<title>${title}</title>

	<!-- CSS -->
	<link href="css/main.css" type="text/css" rel="stylesheet"/>

	<!-- JavaScript -->
	<meta http-equiv="Content-Script-Type" content="text/javascript">
	% if refresh:
		<meta http-equiv="refresh" content="${refresh}">
	% endif
	<script type="text/javascript" src="js/mootools-release-1.11.js"></script>
	<script type="text/javascript" src="js/json2.js"></script>
	<script type="text/javascript" src="js/cryo.js"></script>
</head>
<body>
	<div id="container">
		<div id="header-wrap">
			<div id="header-in">
				<div id="nav">
					<span class="navright"><a href="http://www.physics.mcgill.ca/~mdobbs/">Winterland Cosmology Lab</a></span>

					<span class="navleft">
						<a href="index">CryoElectronic</a> |
						<!-- <a href="guide">Guide</a> | -->
						<a href="actrl">Automatic</a> |
						<a href="mctrl">Manual</a> |
						<a href="readout">Readout</a> |
						<a href="logs">Logs</a> |
						<a href="streamer">Streamer</a> |
						<a href="configuration">Configuration</a> |
						<a href="program">Program</a> |
						<a href="sysinfo">System Info</a>
					</span>
				</div>
			</div>
		</div>
		<div id="content-wrap">
			<div id="center">
				<div id="center-in">
					<h1>${title}</h1>
 
