var liveData = Class.create();
liveData.prototype = {
	data:
		// Dynamically generate on page load from server-side
		{"temperatures":{"mb":{"sensor1":0,"sensor2":0,"sensor3":0},"mezz1":{"sensor1":0},"mezz2":{"sensor1":0}},
		"voltages":{"mb":{"vauxp":0,"vauxn":0,"ext5v5p":0,"ext5v5n":0,"int5v5p":0,"int5v5n":0,"squid8v5p":0,"squid8v5n":0},"mezz1":{"v5p":0,"v5n":0,"v3p":0,"vdemoda":0,"vdemodb":0},"mezz2":{"v5p":0,"v5n":0,"v3p":0,"vdemoda":0,"vdemodb":0}
		}},
	initialize: function () {
		//this.fillHolder();
	},
	fillHolder: function () {
		new Insertion.Bottom('kernel', '<li><b>Embedded Processor Operating System</b>: ' + this.data.uname + '</li>');		
		new Insertion.Bottom('kernel', '<li><b>Board Support Package Version</b>: ' + this.data.bsp.name + ' ' + this.data.bsp.sw_version + '</li>');		
		new Insertion.Bottom('kernel', '<li><b>Firmware Bitfile Version</b>:' + this.data.bit.major + '.' + this.data.bit.minor + ' Build ' + this.data.bit.build + ', Compiled ' + this.data.bit.date + ' ' + this.data.bit.time + '</li>');
		new Insertion.Bottom('kernel', '<li><b>Board Serial Number</b>:' + this.data.id + '</li>');

		this.data.ip.each(function(item, index) {
			new Insertion.Bottom("ip", '<tr><th>'+item.instance+'</th><td>'+item.sw_name+'</td><td>'+item.sw_version+'</td><td>'+item.hw_name+'</td><td>'+item.hw_version+'</td></tr>');
		});
	},
	getNewData: function () {
		var showNewData = this.showNewData.bind(this);
		var url    = 'cgi-bin/sysutils.cgi';
		var rand   = Math.random(9999);
		var pars   = '&rand=' + rand;
		var myAjax = new Ajax.Request( url, {method: 'get', parameters: pars, onComplete: showNewData} );
	},
	showNewData: function (originalRequest) {
		this.data = eval('(' + originalRequest.responseText + ')');
		this.fillHolder();
	}
};

var myGlobalHandlers = {
	onCreate: function(){
		Element.show('systemWorking');
	},

	onComplete: function() {
		if(Ajax.activeRequestCount == 0){
			Element.hide('systemWorking');
		}
	}
};

var ld;
Ajax.Responders.register(myGlobalHandlers);
window.onload = function () {
 	Element.hide('systemWorking');
	ld = new liveData;
	ld.getNewData();
}


