<%include file="header.tpl" args="title='Streamer'"/>

<% crython = backpack['crython'] %>

<table>
	<thead>
		<tr>
			<th><b>Hostname/IP</b></th><th><b>Port</b></th><th><b>Actions</b></th>
		</tr>
	</thead>
	<tbody>
		% for s in backpack['CryoBoard'].get_streamers():
			% if s['ip'] in ('localhost', '127.0.0.1') and s['port'] == crython.LOCAL_STREAMER_PORT:
				## Don't display the local streamer (it's too
				## tempting to kill it, and we need it.)
				<% continue %>
			% endif
			<tr>
				<td>${ s['ip'] }</td>
				<td>${ s['port'] }</td>
				<td>
					<img src="images/choice-cancel.gif"
						title="Kill this streamer"
						onclick="cryo_method('CryoBoard', 'kill_streamer', {
							'ip': '${s['ip']}',
							'port': ${s['port']}
						});" />
				</td>
			</tr>
		% endfor
		<tr>
			<td><INPUT id=launch_ip type="text" name="ip" maxlength="15"></td>
			<td><INPUT id=launch_port type="text" name="port" maxlength="4"></td>
			<td>
				<img src="images/plus.gif"
					title="Launch this streamer"
					onclick="cryo_method('CryoBoard', 'launch_streamer', {
						'ip': $('launch_ip').value,
						'port': parseInt($('launch_port').value)
					});" />
			</td>
		</tr>
	</tbody>
</table

<%include file="footer.tpl"/>


