/* This function is intended to use with 'onkeypress' events, and filters
 * these events for "return" keys. Otherwise, it's just a dumb wrapper. */
function cryo_method_return(event, obj, method, args) {
	if (event && event.keyCode == 13)
		cryo_method(obj, method, args);
	else
		return true;
}

function cryo_method(obj, method, args) {
	if (window.XMLHttpRequest) xmlhttp = new XMLHttpRequest();
	else if (window.ActiveXObject) xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");

	req = {
		'object': obj,
		'kwargs': args
	};

	xmlhttp.open("POST", method + ".cgi", false);
	xmlhttp.setRequestHeader("Content-Type", "text/plain");
	xmlhttp.send(JSON.stringify(req));

	/* Parse the results, looking for errors. There are two possibilities:
	 *    - the error came from crython (and is packaged as a JSON object)
	 *    - the error came from elsewhere (and is HTML formatted).
	 *
	 * In the first case, we bring up an alert. In the second case, we pop
	 * up a window. Either case is a bug, and the goal here is to make it
	 * easy to read.
	 */
	try {
		response = JSON.parse(xmlhttp.responseText);
		if (response.error)
			alert(response.error.trace);
	} catch(err) {
		win = window.open( "", "error", "width=600,height=450,status,scrollbars,resizable");

  		win.document.write(xmlhttp.responseText);
		win.document.close();
	}
	window.location.reload();
}

